// AutoTron.h: interface for the Splus class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AUTOTRON_H__9C3264E6_A03F_11D1_B441_00A024D09864__INCLUDED_)
#define AFX_AUTOTRON_H__9C3264E6_A03F_11D1_B441_00A024D09864__INCLUDED_
#pragma once

class AutoObj  
{
public:
	AutoObj();
	~AutoObj();
	HRESULT CreateObject( LPOLESTR pszProgId);
	HRESULT Invoke(WORD wFlags, LPVARIANT pvRet, EXCEPINFO* pexcepinfo, UINT* pnArgErr, LPOLESTR pszName, LPCTSTR pszFmt, ...);
	HRESULT AttachDispatch(LPDISPATCH pdisp);
	HRESULT ReleaseDispatch();
#ifdef _DEBUG
	LPTSTR Methods(BOOL bMsgBox);
	LPTSTR Properties(BOOL bMsgBox);
#endif

protected:
	HRESULT CountArgsInFormat(LPCTSTR pszFmt, UINT * pn);
	LPCTSTR GetNextVarType(LPCTSTR pszFmt, VARTYPE FAR* pvt);

private:
	LPDISPATCH m_pdisp;
};

#endif // !defined(AFX_AUTOTRON_H__9C3264E6_A03F_11D1_B441_00A024D09864__INCLUDED_)
